Update network

Updates the name or description of a network object.

Note: The name body parameter is required when updating the specified network with this endpoint. To retrieve the name, use the GET /networks/{network_id} endpoint.

Requires the Administrator [64] user role or the VM.VM_SENSOR.NETWORK.EDIT custom role privilege. See Roles.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The UUID of the network object you want to update. You cannot update the default network object.

Body Params
string
required

The new name of the network object. This name must be unique within your Tenable Vulnerability Management instance, cannot duplicate the name of a previously deleted network, and cannot be default.

string

The new description of the network object.

integer

The number of days to wait before assets age out. Assets will be permanently deleted if they are not seen on a scan within the specified number of days.

  • Minimum value: 14
  • Maximum value: 365
Warning: If you enable this option, Tenable Vulnerability Management immediately deletes assets in the specified network that have not been seen for the specified number of days. All asset records and associated vulnerabilities are deleted and cannot be recovered. The deleted assets no longer count towards your license.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Returned if Tenable Vulnerability Management encounters invalid JSON in the request body, if you attempted to change the default network object, or if an invalid assets_ttl_days value was declared (min: 14, max: 365).

401

Returned if Tenable Vulnerability Management cannot authenticate the user account that submitted the request.

403

Returned if you do not have permission to update the specified network object.

404

Returned if Tenable Vulnerability Management could not find the specified network object, either because the object does not exist or because the object has been deleted.

409

Returned if a network object with the same name already exists.

415

Returned if the request payload is in an unsupported format.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html